## kolf 25.08.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "1")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kolf VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.0.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(FeatureSummary)
include(ECMDeprecationSettings)

include(InternalMacros)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Gui
    Widgets
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Completion
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    DocTools
    I18n
    KIO
    TextWidgets
    WidgetsAddons
    XmlGui
    IconThemes
)

find_package(KDEGames6 6.0.0 REQUIRED)

ecm_set_disabled_deprecation_versions(
    QT 6.9.0
    KF 6.5
    KDEGAMES 6.0
)

add_subdirectory(src)
add_subdirectory(sounds)
add_subdirectory(courses)
add_subdirectory(pics)
add_subdirectory(themes)
add_subdirectory(doc)

install(FILES intro tutorial.kolf tutorial.kolfgame  DESTINATION  ${KDE_INSTALL_DATADIR}/kolf)

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kolf (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:10:21 +0100

kolf (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:55:33 +0100

=== debian/control ===
Source: kolf
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkdegames6-dev (>= 4:25.08.1~),
               libkf6completion-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6textwidgets-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kolf
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kolf

Package: kolf
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: khelpcenter,
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Description: miniature golf game
 Kolf is a miniature golf game for one to ten players.  A variety of courses
 are included, as well as an editor to create new courses.
 .
 This package is part of the KDE games module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.08.3-4~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf6

override_dh_auto_configure:
	dh_auto_configure -Skf6 -- -DKDE_INSTALL_BINDIR=/usr/games

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## kolf 25.08.1+p24.04+vstable+git20250926.0854

=== debian/changelog ===
kolf (4:25.08.1+p24.04+vstable+git20250926.0854-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 08:54:49 +0000

kolf (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 10:38:03 +0000

## kolf 25.08.1+p24.04+vstable+git20251001.0748

=== debian/changelog ===
kolf (4:25.08.1+p24.04+vstable+git20251001.0748-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 07:48:48 +0000

## kolf 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kolf VERSION ${RELEASE_SERVICE_VERSION})

=== sounds/CMakeLists.txt ===
install( FILES blackhole.wav blackholeputin.wav blackholeeject.wav bumper.wav hit.wav holed.wav holeinone.wav puddle.wav wall.wav woohoo.wav DESTINATION  ${KDE_INSTALL_DATADIR}/kolf/sounds )

=== src/CMakeLists.txt ===
ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX KOLF
    VERSION_HEADER kolf_version.h
)

add_library(kolfprivate STATIC)

# we have a static copy of Box2D in our source tree
target_include_directories(kolfprivate PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty
)

target_sources(kolfprivate PRIVATE
    3rdparty/Box2D/Collision/b2BroadPhase.cpp
    3rdparty/Box2D/Collision/b2BroadPhase.h
    3rdparty/Box2D/Collision/b2CollideCircle.cpp
    3rdparty/Box2D/Collision/b2CollideEdge.cpp
    3rdparty/Box2D/Collision/b2CollidePolygon.cpp
    3rdparty/Box2D/Collision/b2Collision.cpp
    3rdparty/Box2D/Collision/b2Collision.h
    3rdparty/Box2D/Collision/b2Distance.cpp
    3rdparty/Box2D/Collision/b2Distance.h
    3rdparty/Box2D/Collision/b2DynamicTree.cpp
    3rdparty/Box2D/Collision/b2DynamicTree.h
    3rdparty/Box2D/Collision/b2TimeOfImpact.cpp
    3rdparty/Box2D/Collision/b2TimeOfImpact.h
    3rdparty/Box2D/Collision/Shapes/b2CircleShape.cpp
    3rdparty/Box2D/Collision/Shapes/b2CircleShape.h
    3rdparty/Box2D/Collision/Shapes/b2EdgeShape.cpp
    3rdparty/Box2D/Collision/Shapes/b2EdgeShape.h
    3rdparty/Box2D/Collision/Shapes/b2LoopShape.cpp
    3rdparty/Box2D/Collision/Shapes/b2LoopShape.h
    3rdparty/Box2D/Collision/Shapes/b2PolygonShape.cpp
    3rdparty/Box2D/Collision/Shapes/b2PolygonShape.h
    3rdparty/Box2D/Collision/Shapes/b2Shape.h
    3rdparty/Box2D/Common/b2BlockAllocator.cpp
    3rdparty/Box2D/Common/b2BlockAllocator.h
    3rdparty/Box2D/Common/b2GrowableStack.h
    3rdparty/Box2D/Common/b2Math.cpp
    3rdparty/Box2D/Common/b2Math.h
    3rdparty/Box2D/Common/b2Settings.cpp
    3rdparty/Box2D/Common/b2Settings.h
    3rdparty/Box2D/Common/b2StackAllocator.cpp
    3rdparty/Box2D/Common/b2StackAllocator.h
    3rdparty/Box2D/Dynamics/b2Body.cpp
    3rdparty/Box2D/Dynamics/b2Body.h
    3rdparty/Box2D/Dynamics/b2ContactManager.cpp
    3rdparty/Box2D/Dynamics/b2ContactManager.h
    3rdparty/Box2D/Dynamics/b2Fixture.cpp
    3rdparty/Box2D/Dynamics/b2Fixture.h
    3rdparty/Box2D/Dynamics/b2Island.cpp
    3rdparty/Box2D/Dynamics/b2Island.h
    3rdparty/Box2D/Dynamics/b2TimeStep.h
    3rdparty/Box2D/Dynamics/b2WorldCallbacks.cpp
    3rdparty/Box2D/Dynamics/b2WorldCallbacks.h
    3rdparty/Box2D/Dynamics/b2World.cpp
    3rdparty/Box2D/Dynamics/b2World.h
    3rdparty/Box2D/Dynamics/Contacts/b2CircleContact.cpp
    3rdparty/Box2D/Dynamics/Contacts/b2CircleContact.h
    3rdparty/Box2D/Dynamics/Contacts/b2Contact.cpp
    3rdparty/Box2D/Dynamics/Contacts/b2Contact.h
    3rdparty/Box2D/Dynamics/Contacts/b2ContactSolver.cpp
    3rdparty/Box2D/Dynamics/Contacts/b2ContactSolver.h
    3rdparty/Box2D/Dynamics/Contacts/b2EdgeAndCircleContact.cpp
    3rdparty/Box2D/Dynamics/Contacts/b2EdgeAndCircleContact.h
    3rdparty/Box2D/Dynamics/Contacts/b2EdgeAndPolygonContact.cpp
    3rdparty/Box2D/Dynamics/Contacts/b2EdgeAndPolygonContact.h
    3rdparty/Box2D/Dynamics/Contacts/b2LoopAndCircleContact.cpp
    3rdparty/Box2D/Dynamics/Contacts/b2LoopAndCircleContact.h
    3rdparty/Box2D/Dynamics/Contacts/b2LoopAndPolygonContact.cpp
    3rdparty/Box2D/Dynamics/Contacts/b2LoopAndPolygonContact.h
    3rdparty/Box2D/Dynamics/Contacts/b2PolygonAndCircleContact.cpp
    3rdparty/Box2D/Dynamics/Contacts/b2PolygonAndCircleContact.h
    3rdparty/Box2D/Dynamics/Contacts/b2PolygonContact.cpp
    3rdparty/Box2D/Dynamics/Contacts/b2PolygonContact.h
    3rdparty/Box2D/Dynamics/Joints/b2DistanceJoint.cpp
    3rdparty/Box2D/Dynamics/Joints/b2DistanceJoint.h
    3rdparty/Box2D/Dynamics/Joints/b2FrictionJoint.cpp
    3rdparty/Box2D/Dynamics/Joints/b2FrictionJoint.h
    3rdparty/Box2D/Dynamics/Joints/b2GearJoint.cpp
    3rdparty/Box2D/Dynamics/Joints/b2GearJoint.h
    3rdparty/Box2D/Dynamics/Joints/b2Joint.cpp
    3rdparty/Box2D/Dynamics/Joints/b2Joint.h
    3rdparty/Box2D/Dynamics/Joints/b2LineJoint.cpp
    3rdparty/Box2D/Dynamics/Joints/b2LineJoint.h
    3rdparty/Box2D/Dynamics/Joints/b2MouseJoint.cpp
    3rdparty/Box2D/Dynamics/Joints/b2MouseJoint.h
    3rdparty/Box2D/Dynamics/Joints/b2PrismaticJoint.cpp
    3rdparty/Box2D/Dynamics/Joints/b2PrismaticJoint.h
    3rdparty/Box2D/Dynamics/Joints/b2PulleyJoint.cpp
    3rdparty/Box2D/Dynamics/Joints/b2PulleyJoint.h
    3rdparty/Box2D/Dynamics/Joints/b2RevoluteJoint.cpp
    3rdparty/Box2D/Dynamics/Joints/b2RevoluteJoint.h
    3rdparty/Box2D/Dynamics/Joints/b2RopeJoint.cpp
    3rdparty/Box2D/Dynamics/Joints/b2RopeJoint.h
    3rdparty/Box2D/Dynamics/Joints/b2WeldJoint.cpp
    3rdparty/Box2D/Dynamics/Joints/b2WeldJoint.h
)

target_sources(kolfprivate PRIVATE
    ball.cpp
    ball.h
    canvasitem.cpp
    canvasitem.h
    config.cpp
    config.h
    editor.cpp
    editor.h
    game.cpp
    game.h
    itemfactory.cpp
    itemfactory.h
    kcomboboxdialog.cpp
    kcomboboxdialog.h
    kolf.cpp
    kolf.h
    landscape.cpp
    landscape.h
    newgame.cpp
    newgame.h
    objects.cpp
    objects.h
    obstacles.cpp
    obstacles.h
    overlay.cpp
    overlay.h
    scoreboard.cpp
    scoreboard.h
    shape.cpp
    shape.h
    tagaro/board.cpp
    tagaro/board.h
    tagaro/scene.cpp
    tagaro/scene.h
    tagaro/scene_p.h
    tagaro/spriteobjectitem.cpp
    tagaro/spriteobjectitem.h
    utils-animateditem.cpp
    utils-animateditem.h
    vector.h
)

target_link_libraries(kolfprivate
    KDEGames6
    KF6::Crash
    KF6::Completion
    KF6::ConfigCore
    KF6::DBusAddons
    KF6::I18n
    KF6::JobWidgets
    KF6::KIOCore
    KF6::TextWidgets
    KF6::XmlGui
    KF6::IconThemes
    Qt6::Gui
    Qt6::Widgets
)

add_executable(kolf)

target_sources(kolf PRIVATE
    main.cpp
    kolf.qrc
)

if(APPLE)
    set_target_properties(kolf PROPERTIES
           MACOSX_BUNDLE_DISPLAY_NAME "Kolf"
        MACOSX_BUNDLE_BUNDLE_NAME "Kolf"
        MACOSX_BUNDLE_LONG_VERSION_STRING "Kolf ${RELEASE_SERVICE_VERSION}"
        MACOSX_BUNDLE_SHORT_VERSION_STRING "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}"
        MACOSX_BUNDLE_BUNDLE_VERSION "${RELEASE_SERVICE_VERSION}"
        MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.kolf"
        MACOSX_BUNDLE_COPYRIGHT "2024 The Kolf Developers")
endif()


file(GLOB ICONS_SRCS "${CMAKE_SOURCE_DIR}/pics/*-apps-kolf.png")
ecm_add_app_icon(kolf ICONS ${ICONS_SRCS})

target_link_libraries(kolf kolfprivate)

install(TARGETS kolf  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(PROGRAMS org.kde.kolf.desktop  DESTINATION  ${KDE_INSTALL_APPDIR})
install(FILES org.kde.kolf.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

#install(FILES ball.h game.h statedb.h config.h canvasitem.h object.h rtti.h vector.h floater.h slope.h  DESTINATION  ${KDE_INSTALL_INCLUDEDIR}/kolf COMPONENT Devel)

=== debian/changelog ===
kolf (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:50:00 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.08.1~),
+               libkdegames6-dev (>= 4:25.08.2~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),

## kolf 25.08.2+p24.04+vstable+git20251011.1247

=== debian/changelog ===
kolf (4:25.08.2+p24.04+vstable+git20251011.1247-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 12:47:30 +0000

kolf (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:22:58 +0000

## kolf 25.08.2+p24.04+vstable+git20251019.0541

=== debian/changelog ===
kolf (4:25.08.2+p24.04+vstable+git20251019.0541-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 05:41:44 +0000

## kolf 25.08.2+p24.04+vstable+git20251031.1050

=== debian/changelog ===
kolf (4:25.08.2+p24.04+vstable+git20251031.1050-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 10:50:01 +0000

## kolf 25.08.2+p24.04+vunstable+git20251015.1559

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kolf VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kolf (4:25.08.2+p24.04+vunstable+git20251015.1559-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 15:59:28 +0000

## kolf 25.08.2+p24.04+vunstable+git20251020.1330

=== debian/changelog ===
kolf (4:25.08.2+p24.04+vunstable+git20251020.1330-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 13:30:15 +0000

## kolf 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kolf VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kolf (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.08.2~),
+               libkdegames6-dev (>= 4:25.08.3~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),

## kolf 25.08.3+p24.04+vunstable+git20251204.0548

=== debian/changelog ===
kolf (4:25.08.3+p24.04+vunstable+git20251204.0548-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 05:48:17 +0000

kolf (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:41:33 +1000

## kolf 25.08.3+p24.04+vunstable+git20251206.0722

=== debian/changelog ===
kolf (4:25.08.3+p24.04+vunstable+git20251206.0722-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 07:22:36 +0000

## kolf 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kolf VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kolf (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:59:03 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.08.3~),
+               libkdegames6-dev (>= 4:25.11.80~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),

## kolf 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kolf VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kolf (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:09:34 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.11.80~),
+               libkdegames6-dev (>= 4:25.11.90~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),

## kolf 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kolf VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kolf (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:26:45 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.11.90~),
+               libkdegames6-dev (>= 4:25.12.0~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),

## kolf 25.12.0+p24.04+vstable+git20251211.0156

=== debian/changelog ===
kolf (4:25.12.0+p24.04+vstable+git20251211.0156-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Dec 2025 01:56:12 +0000

kolf (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:37:49 +1000

## kolf 25.12.0+p24.04+vstable+git20260105.1042

=== debian/changelog ===
kolf (4:25.12.0+p24.04+vstable+git20260105.1042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 10:42:03 +0000

## kolf 25.12.1

=== debian/changelog ===
kolf (4:25.12.1-1ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:19:00 +0000

kolf (4:25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Bump libkdegames build dep to current Gear version.

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jan 2026 12:09:29 +0000

kolf (4:25.12.1-1) unstable; urgency=medium

  * Team upload
  [ Aurélien COUDERC ]
  * Point upstream source to invent git repo.

  [ Salvo 'LtWorf' Tomaselli ]
  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 19 Jan 2026 19:27:27 +0100

kolf (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:09:10 +0000

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,12 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Daniel Schepler <schepler@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.12.0~),
+               libkdegames6-dev (>= 4:25.12.1~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
@@ -21,15 +20,16 @@
                libkf6dbusaddons-dev (>= 6.0.0~),
                libkf6doctools-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),
+               libkf6iconthemes-dev (>= 6.0.0~),
                libkf6kio-dev (>= 6.0.0~),
                libkf6textwidgets-dev (>= 6.0.0~),
                libkf6widgetsaddons-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
                pkg-kde-tools,
                qt6-base-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: http://games.kde.org/
+Homepage: https://apps.kde.org/kolf/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kolf
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kolf

## kolf 25.12.1+p24.04+vstable+git20260106.1921

=== debian/changelog ===
kolf (4:25.12.1+p24.04+vstable+git20260106.1921-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 19:21:35 +0000

kolf (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:28:02 +1000

## kolf 25.12.1+p24.04+vstable+git20260128.0805

=== debian/changelog ===
kolf (4:25.12.1+p24.04+vstable+git20260128.0805-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 08:05:56 +0000

## kolf 25.12.1+p24.04+vstable+git20260131.0350

=== debian/changelog ===
kolf (4:25.12.1+p24.04+vstable+git20260131.0350-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 03:50:44 +0000

## kolf 25.12.1+p24.04+vunstable+git20260129.0422

=== debian/changelog ===
kolf (4:25.12.1+p24.04+vunstable+git20260129.0422-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 04:22:48 +0000

## kolf 25.12.1+p24.04+vunstable+git20260131.0056

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kolf VERSION ${RELEASE_SERVICE_VERSION})
@@ -50,7 +50,7 @@
 find_package(KDEGames6 6.0.0 REQUIRED)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.9.0
+    QT 6.10.0
     KF 6.5
     KDEGAMES 6.0
 )

=== debian/changelog ===
kolf (4:25.12.1+p24.04+vunstable+git20260131.0056-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 00:56:56 +0000

## kolf 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kolf VERSION ${RELEASE_SERVICE_VERSION})
@@ -50,7 +50,7 @@
 find_package(KDEGames6 6.0.0 REQUIRED)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
+    QT 6.9.0
     KF 6.5
     KDEGAMES 6.0
 )

=== debian/changelog ===
kolf (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:26:23 +0000

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
            Daniel Schepler <schepler@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: debhelper-compat (= 13),
-               cmake (>= 3.16~),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.12.1~),
+               libkdegames6-dev (>= 4:25.12.2~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
